KCAPI_SET_MAXSPLICES(3)

NAME
kcapi_set_maxsplicesize - Set maximum buffer size for splice

SYNOPSIS

int kcapi_set_maxsplicesize(struct kcapi_handle * handle, unsigned int size);

ARGUMENTS

handle
    [in] cipher handle allocated by caller.

size
    [in] New maximum buffer size in bytes

DESCRIPTION

When using vmsplice/splice to avoid copying of data into the kernel, the kernel enforces a maximum number of bytes which can be spliced. If larger data is to be processed, sendmsg will be used.

Using this call, the buffer size can be increased.

NOTE

Splice uses a pipe pair. Therefore, the maximum number of bytes that can be stored with the pipe governs the maximum data size to be spliced. Increasing the pipe buffer size is only allowed up to the maximum specified with /proc/sys/fs/pipe-max-size.

return 0 upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT